
From: Christoph Lameter <clameter@engr.sgi.com>

It allows a selectable timer interrupt frequency of 100, 250 and 1000 HZ. 
Reducing the timer frequency may have important performance benefits on
large systems.

Signed-off-by: Christoph Lameter <clameter@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/Kconfig        |    2 ++
 include/asm-ia64/param.h |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/ia64/Kconfig~ia64-selectable-timer-interrupt-frequency arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~ia64-selectable-timer-interrupt-frequency	2005-06-06 00:14:02.000000000 -0700
+++ 25-akpm/arch/ia64/Kconfig	2005-06-06 00:14:02.000000000 -0700
@@ -161,6 +161,8 @@ config IA64_PAGE_SIZE_64KB
 
 endchoice
 
+source kernel/Kconfig.hz
+
 config IA64_BRL_EMU
 	bool
 	depends on ITANIUM
diff -puN include/asm-ia64/param.h~ia64-selectable-timer-interrupt-frequency include/asm-ia64/param.h
--- 25/include/asm-ia64/param.h~ia64-selectable-timer-interrupt-frequency	2005-06-06 00:14:02.000000000 -0700
+++ 25-akpm/include/asm-ia64/param.h	2005-06-06 00:14:02.000000000 -0700
@@ -27,7 +27,7 @@
    */
 #  define HZ	  32
 # else
-#  define HZ	1024
+#  define HZ	CONFIG_HZ
 # endif
 # define USER_HZ	HZ
 # define CLOCKS_PER_SEC	HZ	/* frequency at which times() counts */
_
